Loading...
Searching...
No Matches
path.h File Reference
Data Structures » Path Structures
`#include <vector>`
`#include <algorithm>`
`#include <lemon/error.h>`
`#include <lemon/core.h>`
`#include <lemon/concepts/path.h>`

## Classes

class | Path< GR >
| A structure for representing directed paths in a digraph. More...
class | Path< GR >::ArcIt
| LEMON style iterator for path arcs. More...
class | SimplePath< GR >
| A structure for representing directed paths in a digraph. More...
class | SimplePath< GR >::ArcIt
| Iterator class to iterate on the arcs of the paths. More...
class | ListPath< GR >
| A structure for representing directed paths in a digraph. More...
class | ListPath< GR >::ArcIt
| Iterator class to iterate on the arcs of the paths. More...
class | StaticPath< GR >
| A structure for representing directed paths in a digraph. More...
class | StaticPath< GR >::ArcIt
| Iterator class to iterate on the arcs of the paths. More...
class | PathNodeIt< Path >
| Class which helps to iterate through the nodes of a path. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

template<typename From, typename To>
void | pathCopy (const From &from, To &to)
| Make a copy of a path.
template<typename To, typename From>
void | copyPath (To &to, const From &from)
| Deprecated version of pathCopy().
template<typename Digraph, typename Path>
bool | checkPath (const Digraph &digraph, const Path &path)
| Check the consistency of a path.
template<typename Digraph, typename Path>
Digraph::Node | pathSource (const Digraph &digraph, const Path &path)
| The source of a path.
template<typename Digraph, typename Path>
Digraph::Node | pathTarget (const Digraph &digraph, const Path &path)
| The target of a path.